import redis


class RedisHelper(object):
    def __init__(self, host: str, port: int, password: str):
        self.host = host
        self.port = port
        self.password = password
        self.redis_conn = redis.Redis(host=self.host, port=self.port, password=password)

    def add_number_to_set(self, key: str, number):
        print(f"Redis Set写入: {key} ---> {number}")
        self.redis_conn.sadd(key, number)

    def set_expire(self, key: str, expire: int):
        self.redis_conn.expire(key, expire)
