import argparse
import configparser
import json

from client import K8SClient

if __name__ == '__main__':
    parser = argparse.ArgumentParser(description="k8s")
    parser.add_argument("-c", "--config", required=False, help="config file path",
                        default="/Users/zhao/Desktop/Code/Python/model_monitor/config/config.ini")
    args = parser.parse_args()

    # 读取配置文件
    config = configparser.ConfigParser()
    config.read(args.config)
    k8s_config_file = config.get("k8s", "config.file")

    k8s_client = K8SClient.K8SClient(k8s_config_file)

    pods = k8s_client.get_pod_info_by_deployment("ad-engine")

    for pod in pods:
        for item in pod.status.conditions:
            print(pod.status)
            print(item)